io.etcd.jetcd.api

## Class KVGrpc.KVStub

- java.lang.Object
- - io.grpc.stub.AbstractStub<S>
  - - io.grpc.stub.AbstractAsyncStub<KVGrpc.KVStub>
    - - io.etcd.jetcd.api.KVGrpc.KVStub

Enclosing class:
  KVGrpc

    public static final class KVGrpc.KVStub
    extends io.grpc.stub.AbstractAsyncStub<KVGrpc.KVStub>

### Nested Class Summary

### Nested classes/interfaces inherited from class io.grpc.stub.AbstractStub

`io.grpc.stub.AbstractStub.StubFactory<T extends io.grpc.stub.AbstractStub<T>>`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected KVGrpc.KVStub` `build(io.grpc.Channel channel, io.grpc.CallOptions callOptions)`
`void` `compact(CompactionRequest request, io.grpc.stub.StreamObserver<CompactionResponse> responseObserver)` Compact compacts the event history in the etcd key-value store.
`void` `deleteRange(DeleteRangeRequest request, io.grpc.stub.StreamObserver<DeleteRangeResponse> responseObserver)` DeleteRange deletes the given range from the key-value store.
`void` `put(PutRequest request, io.grpc.stub.StreamObserver<PutResponse> responseObserver)` Put puts the given key into the key-value store.
`void` `range(RangeRequest request, io.grpc.stub.StreamObserver<RangeResponse> responseObserver)` Range gets the keys in the range from the key-value store.
`void` `txn(TxnRequest request, io.grpc.stub.StreamObserver<TxnResponse> responseObserver)` Txn processes multiple requests in a single transaction.

### Methods inherited from class io.grpc.stub.AbstractAsyncStub

`newStub, newStub`

### Methods inherited from class io.grpc.stub.AbstractStub

`getCallOptions, getChannel, withCallCredentials, withChannel, withCompression, withDeadline, withDeadlineAfter, withExecutor, withInterceptors, withMaxInboundMessageSize, withMaxOutboundMessageSize, withOption, withWaitForReady`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### build

    protected KVGrpc.KVStub build(io.grpc.Channel channel,
                                  io.grpc.CallOptions callOptions)

Specified by:
  `build` in class `io.grpc.stub.AbstractStub<KVGrpc.KVStub>`

#### range

    public void range(RangeRequest request,
                      io.grpc.stub.StreamObserver<RangeResponse> responseObserver)

     Range gets the keys in the range from the key-value store.

#### put

    public void put(PutRequest request,
                    io.grpc.stub.StreamObserver<PutResponse> responseObserver)

     Put puts the given key into the key-value store.
     A put request increments the revision of the key-value store
     and generates one event in the event history.

#### deleteRange

    public void deleteRange(DeleteRangeRequest request,
                            io.grpc.stub.StreamObserver<DeleteRangeResponse> responseObserver)

     DeleteRange deletes the given range from the key-value store.
     A delete request increments the revision of the key-value store
     and generates a delete event in the event history for every deleted key.

#### txn

    public void txn(TxnRequest request,
                    io.grpc.stub.StreamObserver<TxnResponse> responseObserver)

     Txn processes multiple requests in a single transaction.
     A txn request increments the revision of the key-value store
     and generates events with the same revision for every completed request.
     It is not allowed to modify the same key several times within one txn.

#### compact

    public void compact(CompactionRequest request,
                        io.grpc.stub.StreamObserver<CompactionResponse> responseObserver)

     Compact compacts the event history in the etcd key-value store. The key-value
     store should be periodically compacted or the event history will continue to grow
     indefinitely.